Skip to main content
GET
List all customer invoices

Authorizations

X-SALESBRICKS-KEY
string
header
required

API key for authentication

Path Parameters

customer_id
string
required
Pattern: ^([a-zA-Z\d\-]+)$

Query Parameters

limit
integer

Number of results to return per page.

offset
integer

The initial index from which to return the results.

ordering
enum<string>

Order results by field (prefix with '-' for descending order)

Available options:
-due_at,
-issued_at,
due_at,
issued_at

Response

count
integer
required

Total number of results across all pages

Example:

123

results
object[]
required

The results on this page

next
string<uri> | null

URL of the next page of results, or null on the last page

Example:

"http://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null

URL of the previous page of results, or null on the first page

Example:

"http://api.example.org/accounts/?offset=200&limit=100"